sc::ImplicitSurfacePolygonizer Class Reference
Inheritance diagram for sc::ImplicitSurfacePolygonizer:
[legend]
Collaboration diagram for sc::ImplicitSurfacePolygonizer:
[legend]

## Public Member Functions

| ImplicitSurfacePolygonizer (const Ref< Volume > &)
virtual void | isosurface (double value, TriangulatedSurface &surf)
Public Member Functions inherited from sc::IsosurfaceGen
virtual void | set_resolution (double)

## Static Public Member Functions

static int | add_triangle_to_current (int, int, int, VERTICES)
| For internal use only.
static double | value_of_current (double x, double y, double z)
| For internal use only.

## Protected Attributes

Ref< Volume > | _volume
std::vector< Ref< Vertex > > | _tmp_vertices
TriangulatedSurface * | _surf
double | _value
Protected Attributes inherited from sc::IsosurfaceGen
double | _resolution

The documentation for this class was generated from the following file:

- isosurf.h